using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using ZSMusic.DAL.Platforms;
using ZSMusic.Model;

namespace ZSMusic.DAL
{
    public class Info
    {
        /// <summary>
        /// 音乐源
        /// </summary>
        public static List<MusicSource> Sources
        {
            get
            {
                List<MusicSource> list = new List<MusicSource>();
                list.Add(new MusicSource("聚合搜索", "all", true, true, true, true));
                list.Add(new MusicSource("网易云音乐", "wy", true, true, true, true));
                list.Add(new MusicSource("酷我音乐", "kw", true, true, true, true));
                list.Add(new MusicSource("酷狗音乐", "kg", true, true, true, true));
                list.Add(new MusicSource("QQ音乐", "qq", true, true, true, true));
                //list.Add(new MusicSource("咪咕音乐", "mg", true, true, true, true));
                list.Add(new MusicSource("百度搜索", "smart", true, true, true, true));
                //list.Add(new MusicSource("百度音乐", "Baidu", false, true, true, true));
                //list.Add(new MusicSource("咪咕音乐", "Migu", false, true, true, true));
                //list.Add(new MusicSource("全民k歌", "Wesing", true, true, true, true));
                return list;
            }
        }
        /// <summary>
        /// 重新查找音乐源顺序
        /// </summary>
        public static string[] ResearchSource
        { get { return new string[] { "wy", "kw", "qq", "kg" }; } }

        public static object Tag { get; set; }

        public static void FirstRun(object o)
        {
            try
            {
                wy dal = new wy();
                dal.SearchCollection("472975571");

            }
            catch (Exception ex)
            {
                Tag = ex;
            }
        }

    }
}
